Update Communication Preferences
curl --request POST \
--url https://api.birdeye.com/resources/v1/contact/external/preferences/change-permission \
--header 'Content-Type: application/json' \
--data '
{
"accountNumber": 123,
"emailPreferences": {
"marketingOptin": true,
"feedbackOptin": true,
"serviceOptin": true
},
"smsPreferences": {
"marketingOptin": true,
"feedbackOptin": true,
"serviceOptin": true
},
"smsOptin": true,
"email": [
"<unknown>"
],
"phone": [
"<unknown>"
]
}
'import requests
url = "https://api.birdeye.com/resources/v1/contact/external/preferences/change-permission"
payload = {
"accountNumber": 123,
"emailPreferences": {
"marketingOptin": True,
"feedbackOptin": True,
"serviceOptin": True
},
"smsPreferences": {
"marketingOptin": True,
"feedbackOptin": True,
"serviceOptin": True
},
"smsOptin": True,
"email": ["<unknown>"],
"phone": ["<unknown>"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
accountNumber: 123,
emailPreferences: {marketingOptin: true, feedbackOptin: true, serviceOptin: true},
smsPreferences: {marketingOptin: true, feedbackOptin: true, serviceOptin: true},
smsOptin: true,
email: ['<unknown>'],
phone: ['<unknown>']
})
};
fetch('https://api.birdeye.com/resources/v1/contact/external/preferences/change-permission', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 1089,
"message": "Customer id is invalid."
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Contact V2
Update Communication Preferences
Customer can be subscribe/unsubscribe from Email & SMS using this API.
POST
/
v1
/
contact
/
external
/
preferences
/
change-permission
Update Communication Preferences
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
e.g. [Required] User assosiated businessNumber
Media type of the JSON request body.
Body
application/json
Response
OK
⌘I